package com.example.tgpetrov.dataformbasic;

import android.os.Bundle;
import android.support.v7.widget.Toolbar;
import android.support.v7.app.AppCompatActivity;
import android.support.v7.app.ActionBar;

import com.example.tgpetrov.dataformbasic.data.PersonContent;
import com.telerik.widget.dataform.visualization.RadDataForm;

/**
 * An activity representing a single Person detail screen.
 */
public class PersonDetailActivity extends AppCompatActivity {

    public static String ARG_ITEM_ID;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_person_detail);

        Toolbar toolbar = (Toolbar) findViewById(R.id.detail_toolbar);
        assert toolbar != null;
        setSupportActionBar(toolbar);
        toolbar.setTitle(getTitle());

        ActionBar actionBar = getSupportActionBar();
        if (actionBar != null) {
            actionBar.setDisplayHomeAsUpEnabled(true);
        }

        RadDataForm dataForm = (RadDataForm) findViewById(R.id.dataForm);
        assert dataForm != null;

        if (savedInstanceState == null) {
            String name = getIntent().getExtras().getString(PersonDetailActivity.ARG_ITEM_ID);
            PersonContent.Person person;
            if(name == null || name.equals("")) {
                person = new PersonContent.Person();
                PersonContent.addItem(person);
            } else {
                person = PersonContent.PERSON_MAP.get(name);
            }
            dataForm.setEntity(person);
        }
    }
}
