package com.example.tgpetrov.dataformbasic.data;

import com.telerik.widget.dataform.visualization.annotations.DataFormProperty;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Locale;
import java.util.Map;

public class PersonContent {

    /**
     * An array of sample (dummy) items.
     */
    public static final List<Person> PEOPLE = new ArrayList<Person>();

    /**
     * A map of sample (dummy) items, by ID.
     */
    public static final Map<String, Person> PERSON_MAP = new HashMap<String, Person>();

    private static final int COUNT = 10;

    static {
        // Add some sample items.
        for (int i = 1; i <= COUNT; i++) {
            addItem(createDummyPerson(i));
        }
    }

    public static void addItem(Person item) {
        PEOPLE.add(item);
        PERSON_MAP.put(item.name, item);
    }

    private static Person createDummyPerson(int position) {
        return new Person("Person " + position, 20 + position);
    }

    /**
     * A dummy item representing a piece of content.
     */
    public static class Person {
        private String name;
        private Integer age;

        public Person() {
        }

        public Person(String name, Integer age) {
            this.name = name;
            this.age = age;
        }

        @DataFormProperty(index = 0)
        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

        @DataFormProperty(index = 1)
        public Integer getAge() {
            return age;
        }

        public void setAge(Integer age) {
            this.age = age;
        }

        @Override
        public String toString() {
            return String.format(Locale.US, "%s - %d", name, age);
        }
    }
}
